libsidplayfp::ReSIDfp Class Referencefinal
Inheritance diagram for libsidplayfp::ReSIDfp:

## Public Member Functions

| ReSIDfp (sidbuilder *builder)
bool | getStatus () const
uint8_t | read (uint_least8_t addr) override
void | write (uint_least8_t addr, uint8_t data) override
void | reset (uint8_t volume) override
void | clock () override
void | sampling (float systemclock, float freq, SidConfig::sampling_method_t method, bool) override
void | voice (unsigned int num, bool mute) override
void | model (SidConfig::sid_model_t model, bool digiboost) override
void | filter (bool enable)
void | filter6581Curve (double filterCurve)
void | filter8580Curve (double filterCurve)
Public Member Functions inherited from libsidplayfp::sidemu
| sidemu (sidbuilder *builder)
virtual bool | lock (EventScheduler *scheduler)
virtual void | unlock ()
virtual void | sampling (float systemfreq SID_UNUSED, float outputfreq SID_UNUSED, SidConfig::sampling_method_t method SID_UNUSED, bool fast SID_UNUSED)
const char * | error () const
sidbuilder * | builder () const
int | bufferpos () const
void | bufferpos (int pos)
short * | buffer () const
Public Member Functions inherited from libsidplayfp::c64sid
void | reset ()
void | poke (uint_least16_t address, uint8_t value) override
uint8_t | peek (uint_least16_t address) override
void | getStatus (uint8_t regs[0x20]) const

## Static Public Member Functions

static const char * | getCredits ()

## Additional Inherited Members

Public Types inherited from libsidplayfp::sidemu
enum | { OUTPUTBUFFERSIZE = 5000 }
Protected Attributes inherited from libsidplayfp::sidemu
EventScheduler * | eventScheduler
event_clock_t | m_accessClk
short * | m_buffer
| The sample buffer.
int | m_bufferpos
| Current position in buffer.
bool | m_status
bool | isLocked
std::string | m_error
Static Protected Attributes inherited from libsidplayfp::sidemu
static const char | ERR_UNSUPPORTED_FREQ [] = "Unable to set desired output frequency."
static const char | ERR_INVALID_SAMPLING [] = "Invalid sampling method."
static const char | ERR_INVALID_CHIP [] = "Invalid chip model."

## Member Function Documentation

## clock()

void libsidplayfp::ReSIDfp::clock | ( |  | ) |

override virtual

Clock the SID chip.

Implements libsidplayfp::sidemu.

## model()

void libsidplayfp::ReSIDfp::model | ( | SidConfig::sid_model_t | model,
|  | bool | digiboost
| ) |  |

override virtual

Set SID model.

Implements libsidplayfp::sidemu.

## read()

uint8_t libsidplayfp::ReSIDfp::read | ( | uint_least8_t | addr | ) |

override virtual

Implements libsidplayfp::c64sid.

## reset()

void libsidplayfp::ReSIDfp::reset | ( | uint8_t | volume | ) |

override virtual

Implements libsidplayfp::c64sid.

## voice()

void libsidplayfp::ReSIDfp::voice | ( | unsigned int | num,
|  | bool | mute
| ) |  |

inline override virtual

Mute/unmute voice.

Implements libsidplayfp::sidemu.

## write()

void libsidplayfp::ReSIDfp::write | ( | uint_least8_t | addr,
|  | uint8_t | data
| ) |  |

override virtual

Implements libsidplayfp::c64sid.

The documentation for this class was generated from the following files:

- residfp-emu.h
- residfp-emu.cpp